Panda3D

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | Static Public Attributes | List of all members
DirectGuiWidget Class Reference
Inheritance diagram for DirectGuiWidget:

## Public Member Functions
| __init__ (self, parent=None, **kw)
| copyOptions (self, other)
| destroy (self)
| disableEdit (self)
| editStart (self, event)
| editStop (self, event)
| enableEdit (self)
| frameInitialiseFunc (self)
| getBounds (self, state=0)
| getCenter (self)
| getFrameType (self, state=0)
| getHeight (self)
| getWidth (self)
| guiDragTask (self, state)
| guiScaleTask (self, state)
| printConfig (self, indent=0)
| resetFrameSize (self)
| setBorderUvWidth (self)
| setBorderWidth (self)
| setFrameColor (self)
| setFrameSize (self, fClearFrame=0)
| setFrameTexture (self)
| setFrameVisibleScale (self)
| setProp (self, propString, value)
| setRelief (self, fSetStyle=1)
| setState (self)
| taskName (self, idString)
| uniqueName (self, idString)
| updateFrameStyle (self)
Public Member Functions inherited from DirectGuiBase
| __init__ (self)
| __setitem__ (self, key, value)
| addoptions (self, optionDefs, optionkeywords)
| bind (self, event, command, extraArgs=[])
| cget (self, option)
| component (self, name)
| components (self)
| configure (self, option=None, **kw)
| createcomponent (self, componentName, componentAliases, componentGroup, widgetClass, *widgetArgs, **kw)
| defineoptions (self, keywords, optionDefs, dynamicGroups=())
| destroycomponent (self, name)
| hascomponent (self, component)
| initialiseoptions (self, myClass)
| isinitoption (self, option)
| options (self)
| postInitialiseFunc (self)
| unbind (self, event)
Public Member Functions inherited from DirectObject
| __init__ (self)
| accept (self, event, method, extraArgs=[])
| acceptOnce (self, event, method, extraArgs=[])
| addTask (self, *args, **kwargs)
| detectLeaks (self)
| doMethodLater (self, *args, **kwargs)
| getAllAccepting (self)
| ignore (self, event)
| ignoreAll (self)
| isAccepting (self, event)
| isIgnoring (self, event)
| removeAllTasks (self)
| removeTask (self, taskOrName)

## Public Attributes
list | bounds = self['frameSize']
| editStart
| editStop
| ll
| printConfig
| stateNodePath = self.guiDict.get(parts[-1])
| ur
Public Attributes inherited from DirectGuiBase
int | fInit = 1
str | guiId = 'guiObject'
list | postInitialiseFuncList = []

## Static Public Attributes
float | gridSpacing = 0.05
dict | guiDict = {}
| guiEdit = ShowBaseGlobal.config.GetBool('direct-gui-edit', False)
| inactiveInitState = DGG.NORMAL
int | snapToGrid = 0
Static Public Attributes inherited from DirectObject
| accept_once = acceptOnce
| add_task = addTask
| detect_leaks = detectLeaks
| do_method_later = doMethodLater
| get_all_accepting = getAllAccepting
| ignore_all = ignoreAll
| is_accepting = isAccepting
| is_ignoring = isIgnoring
| remove_all_tasks = removeAllTasks
| remove_task = removeTask

## Additional Inherited Members
Protected Member Functions inherited from DirectObject
| _addTask (self, task)
| _clearTask (self, task)
Protected Attributes inherited from DirectGuiBase
dict | _constructorKeywords = tmp
tuple | _dynamicGroups = ()
dict | _optionInfo = {}
Protected Attributes inherited from DirectObject
dict | _taskList = {}

## Constructor & Destructor Documentation

## ◆ __init__()

__init__ | ( |  | self,
|  |  | parent = None,
|  | ** | kw )

## Member Function Documentation

## ◆ copyOptions()

copyOptions | ( |  | self,
|  |  | other )

    Copy other's options into our self so we look and feel like other

## ◆ destroy()

destroy | ( |  | self | ) |

Reimplemented from DirectGuiBase.

Reimplemented in DirectDialog, DirectEntry, DirectEntryScroll, DirectFrame, DirectScrollBar, DirectScrolledFrame, DirectScrolledList, DirectSlider, DirectWaitBar, and DWBPackageInstaller.

## ◆ disableEdit()

disableEdit | ( |  | self | ) |

## ◆ editStart()

editStart | ( |  | self,
|  |  | event )

## ◆ editStop()

editStop | ( |  | self,
|  |  | event )

## ◆ enableEdit()

enableEdit | ( |  | self | ) |

## ◆ frameInitialiseFunc()

frameInitialiseFunc | ( |  | self | ) |

## ◆ getBounds()

getBounds | ( |  | self,
|  |  | state = 0 )

Reimplemented in DirectEntry.

## ◆ getCenter()

getCenter | ( |  | self | ) |

## ◆ getFrameType()

getFrameType | ( |  | self,
|  |  | state = 0 )

## ◆ getHeight()

getHeight | ( |  | self | ) |

## ◆ getWidth()

getWidth | ( |  | self | ) |

## ◆ guiDragTask()

guiDragTask | ( |  | self,
|  |  | state )

## ◆ guiScaleTask()

guiScaleTask | ( |  | self,
|  |  | state )

## ◆ printConfig()

printConfig | ( |  | self,
|  |  | indent = 0 )

## ◆ resetFrameSize()

resetFrameSize | ( |  | self | ) |

Reimplemented in DirectCheckButton, and DirectRadioButton.

## ◆ setBorderUvWidth()

setBorderUvWidth | ( |  | self | ) |

## ◆ setBorderWidth()

setBorderWidth | ( |  | self | ) |

## ◆ setFrameColor()

setFrameColor | ( |  | self | ) |

## ◆ setFrameSize()

setFrameSize | ( |  | self,
|  |  | fClearFrame = 0 )

Reimplemented in DirectCheckButton, and DirectRadioButton.

## ◆ setFrameTexture()

setFrameTexture | ( |  | self | ) |

## ◆ setFrameVisibleScale()

setFrameVisibleScale | ( |  | self | ) |

## ◆ setProp()

setProp | ( |  | self,
|  |  | propString,
|  |  | value )

    Allows you to set a property like frame['text'] = 'Joe' in
    a function instead of an assignment.
    This is useful for setting properties inside function intervals
    where must input a function and extraArgs, not an assignment.

## ◆ setRelief()

setRelief | ( |  | self,
|  |  | fSetStyle = 1 )

## ◆ setState()

setState | ( |  | self | ) |

## ◆ taskName()

taskName | ( |  | self,
|  |  | idString )

## ◆ uniqueName()

uniqueName | ( |  | self,
|  |  | idString )

## ◆ updateFrameStyle()

updateFrameStyle | ( |  | self | ) |

## Member Data Documentation

## ◆ bounds

list bounds = self['frameSize']

## ◆ editStart

editStart

## ◆ editStop

editStop

## ◆ gridSpacing

float gridSpacing = 0.05
| static

## ◆ guiDict

dict guiDict = {}
| static

## ◆ guiEdit

guiEdit = ShowBaseGlobal.config.GetBool('direct-gui-edit', False)
| static

## ◆ inactiveInitState

inactiveInitState = DGG.NORMAL
| static

## ◆ ll

ll

## ◆ printConfig

printConfig

## ◆ snapToGrid

int snapToGrid = 0
| static

## ◆ stateNodePath

stateNodePath = self.guiDict.get(parts[-1])

## ◆ ur

ur